package extend.mj.room.state;

import com.game.Global;
import com.game.state.StateBase;

import extend.mj.EXRoom;

/**
 * 
 */
public class EXRoomStartGameState extends StateBase<EXRoom> {

	@Override
	public void enter(EXRoom owner) {
//		owner.readyCount = 0;
//		for (Entry<Integer, Player> entry : owner.playerMapById.entrySet()) {
//			Player player = entry.getValue();
//			player.ready = false;
//			player.clear();
//			player.initSeat();
//		}
		owner.activeKong = null;
		owner.startGame();

		this.toNextState(owner);
		
	}

	@Override
	public void toNextState(EXRoom owner) {
		owner.stateMachine.changeState(Global.getState(EXRoomDealState.class));
	}

}
